#include "SurvivorMovementComponent.h"
#include "EHealthState.h"
#include "UObject/NoExportTypes.h"

void USurvivorMovementComponent::OnCamperHealthStateChanged(EHealthState oldDamageState, EHealthState currentDamageState)
{

}

FRotator USurvivorMovementComponent::GetRotationRateWhileCrawling() const
{
	return FRotator{};
}

float USurvivorMovementComponent::GetDropStaggerTimeLeft() const
{
	return 0.0f;
}

FRotator USurvivorMovementComponent::GetDefaultRotationRate() const
{
	return FRotator{};
}

USurvivorMovementComponent::USurvivorMovementComponent()
{
	this->MaxCrawlSpeed = 70.000000;
	this->MaxRunSpeed = 400.000000;
}
